Public Member Functions | Protected Member Functions

# GameScannerInfo Class Reference

Inheritance diagram for GameScannerInfo:

## Public Member Functions
void | Initialize ()
class GameInfo * | FindInfo (const char *nameParam, int versionParam, bool force_exact_match)
| Check if we have a game by name and version available in our list.
## Protected Member Functions
void | GetScriptName (ScriptInfo *info, char *name, int len)
| Get the script name how to store the script in memory.
const char * | GetFileName () const
| Get the filename to scan for this type of script.
Subdirectory | GetDirectory () const
| Get the directory to scan in.
const char * | GetScannerName () const
| Get the type of the script, in plural.
void | RegisterAPI (class Squirrel *engine)
| Register the API for this ScriptInfo.

## Detailed Description

Definition at line 17 of file game_scanner.hpp.

## Member Function Documentation

GameInfo * GameScannerInfo::FindInfo | ( | const char * | nameParam,
|  | int | versionParam,
|  | bool | force_exact_match |
| ) |  |  |

Check if we have a game by name and version available in our list.

Parameters:

  | nameParam | The name of the game script.
  | versionParam | The versionof the game script, or -1 if you want the latest.
  | force_exact_match | Only match name+version, never latest.

Returns:
  NULL if no match found, otherwise the game script that matched.

Definition at line 34 of file game_scanner.cpp.

References GameInfo::CanLoadFromVersion(), ScriptInfo::GetName(), ScriptInfo::GetVersion(), ScriptScanner::info_list, ScriptScanner::info_single_list, strtolower(), and ttd_strlcpy().

Referenced by Game::FindInfo().

The documentation for this class was generated from the following files:

- src/game/game_scanner.hpp
- src/game/game_scanner.cpp